Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tesl
Class Tick<T extends java.lang.Comparable<? super T>>

    java.lang.Object
      tesl.Tick<T>

All Implemented Interfaces:
  java.lang.Comparable<Tick<T>>

    public class Tick<T extends java.lang.Comparable<? super T>>

extends java.lang.Object
implements java.lang.Comparable<Tick<T>>

Field Summary
`private Clock<T>` | `myclock_`

Constructor Summary
`Tick(Clock<T> clock)`
`Tick(Clock<T> clock, T tag)`
`Tick(Clock<T> clock, Tag<T> tag)`

Method Summary
`int` | `compareTo(Tick<T> o)`
`Tag<T>` | `getTag()`
`T` | `getTagValue()`
`boolean` | `isNow()`
`void` | `remove()`
`Tick<T>` | `setNow(boolean now)`
`Tick<T>` | `setTag(Tag<T> tag)`
`Tick<T>` | `setTagValue(T tag)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myclock_

    private Clock<T extends java.lang.Comparable<? super T>> myclock_

Constructor Detail

### Tick

    public Tick(Clock<T> clock)

### Tick

    public Tick(Clock<T> clock,
                Tag<T> tag)

### Tick

    public Tick(Clock<T> clock,
                T tag)

Method Detail

### remove

    public void remove()

### setTag

    public Tick<T> setTag(Tag<T> tag)

### setTagValue

    public Tick<T> setTagValue(T tag)

### getTag

    public Tag<T> getTag()

### getTagValue

    public T getTagValue()

### isNow

    public boolean isNow()

### setNow

    public Tick<T> setNow(boolean now)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(Tick<T> o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Tick<T extends java.lang.Comparable<? super T>>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD